CVE-2001-1069
CVSS7.2
发布时间 :2001-08-31 00:00:00
修订时间 :2016-10-17 22:14:09
NMCOS    

[原文]libCoolType library as used in Adobe Acrobat (acroread) on Linux creates the AdobeFnt.lst file with world-writable permissions, which allows local users to modify the file and possibly modify acroread's behavior.


[CNNVD]Adobe AcroRead不安全默认字体列表许可漏洞(CNNVD-200108-185)

        基于Linux的用在Adobe Acrobat (acroread)的libCoolType库创建带全域可写许可的AdobeFnt.lst文件。本地用户修改文件和可能修改acroread的性能。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1069
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1069
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200108-185
(官方数据源) CNNVD

- 其它链接及资源

http://lists.debian.org/debian-security/2001/debian-security-200101/msg00085.html
(VENDOR_ADVISORY)  MISC  http://lists.debian.org/debian-security/2001/debian-security-200101/msg00085.html
http://marc.info/?l=bugtraq&m=99849121502399&w=2
(UNKNOWN)  BUGTRAQ  20010822 Adobe Acrobat creates world writable ~/AdobeFnt.lst files
http://www.securityfocus.com/bid/3225
(VENDOR_ADVISORY)  BID  3225
http://xforce.iss.net/xforce/xfdb/7024
(UNKNOWN)  XF  adobe-acrobat-insecure-permissions(7024)

- 漏洞信息

Adobe AcroRead不安全默认字体列表许可漏洞
高危 设计错误
2001-08-31 00:00:00 2005-05-13 00:00:00
本地  
        基于Linux的用在Adobe Acrobat (acroread)的libCoolType库创建带全域可写许可的AdobeFnt.lst文件。本地用户修改文件和可能修改acroread的性能。

- 公告与补丁

        SGI has stated that IRIX 6.5 to 6.5.18 is vulnerable to this issue. Users are advised to upgrade to IRIX 6.5.19 or apply the workaround provided in the advisory.
        FreeBSD has released a Security Notice FreeBSD-SN-02:05. Users of FreeBSD systems are strongly urged to upgrade their ports tree to fix various reported issues. Further information can be found in the referenced Security Notice.
        This problem has is confirmed to be fixed in Acrobat Reader versions 5.06 and later. Users are advised to contact the vendor for details on upgrading to the most recent version.

- 漏洞信息

14818
Adobe Acrobat (acroread) libCoolType Library AdobeFnt.lst Permission Weakness
Local Access Required Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public Uncoordinated Disclosure

- 漏洞描述

Adobe Acrobat for Linux contains a flaw in the libCoolType library. The issue is triggered when the application creates the AdobeFnt.lst file with insecure permissions. With a specially crafted request, a local attacker can manipulate arbitrary files.

- 时间线

2001-08-23 Unknow
2002-06-24 Unknow

- 解决方案

OSVDB is not currently aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Adobe AcroRead Insecure Default Font List Permissions Vulnerability
Design Error 3225
No Yes
2001-08-22 12:00:00 2009-07-11 07:56:00
This vulnerability was announced by Michael Paoli <michael1cat@yahoo.com> to Bugtraq on August 22, 2001.

- 受影响的程序版本

Adobe Acrobat Reader (UNIX) 5.0 5
- Caldera OpenLinux Server 3.1
- Caldera OpenLinux Workstation 3.1
- Debian Linux 2.2
- Mandriva Linux Mandrake 8.1
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 7.2
- Mandriva Linux Mandrake 7.1
- RedHat Linux 7.3
- RedHat Linux 7.1
- RedHat Linux 7.0
- S.u.S.E. Linux 8.0
- S.u.S.E. Linux 7.1
- Slackware Linux 8.0
- Slackware Linux 7.1
- Slackware Linux 7.0
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Adobe Acrobat Reader (UNIX) 4.0 5
- Caldera OpenLinux Server 3.1
- Caldera OpenLinux Server 3.1
- Caldera OpenLinux Workstation 3.1
- Caldera OpenLinux Workstation 3.1
- Debian Linux 2.2
- Debian Linux 2.2
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 7.2
- Mandriva Linux Mandrake 7.2
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.1
- RedHat Linux 7.1
- RedHat Linux 7.1
- RedHat Linux 7.0
- RedHat Linux 7.0
- S.u.S.E. Linux 7.2
- S.u.S.E. Linux 7.2
- S.u.S.E. Linux 7.1
- S.u.S.E. Linux 7.1
- S.u.S.E. Linux 7.0
- S.u.S.E. Linux 7.0
- Slackware Linux 8.0
- Slackware Linux 7.1
- Slackware Linux 7.1
- Slackware Linux 7.0
- Slackware Linux 7.0
- Sun Solaris 8_sparc
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 7.0
- Sun Solaris 2.6
- Sun Solaris 2.6
Adobe Acrobat Reader (UNIX) 5.0 7
Adobe Acrobat Reader (UNIX) 5.0 6

- 不受影响的程序版本

Adobe Acrobat Reader (UNIX) 5.0 7
Adobe Acrobat Reader (UNIX) 5.0 6

- 漏洞讨论

Adobe Acrobat Reader is a freely available PDF document reading utility distributed by Adobe. A problem with the program could allow local users to gain elevated privileges.

When executed, the Acrobat Reader creates a predictable file, and sets the permissions to 0666, granting world read and write access. A local attacker may use a symbolic link attack to set the permissions on any file owned by the vulnerable user, and replace executable files or scripts with trojans.

Reportedly, Acrobat Reader 5.05 creates the file as /tmp/AdobeFnt.lst.UID (including the UID of the invoking user). Acrobat Reader 4.05 creates the font list file in the user's home directory.

It has been reported that Acrobat Reader for Mac OS X does not suffer from this vulnerability.

- 漏洞利用

No exploit is required for this vulnerability.

- 解决方案

SGI has stated that IRIX 6.5 to 6.5.18 is vulnerable to this issue. Users are advised to upgrade to IRIX 6.5.19 or apply the workaround provided in the advisory.

FreeBSD has released a Security Notice FreeBSD-SN-02:05. Users of FreeBSD systems are strongly urged to upgrade their ports tree to fix various reported issues. Further information can be found in the referenced Security Notice.

This problem has is confirmed to be fixed in Acrobat Reader versions 5.06 and later. Users are advised to contact the vendor for details on upgrading to the most recent version.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站